package com.four.Instantmessaging.service.Impl;

import com.four.Instantmessaging.service.InstantService;
import com.four.common.duck.request.UserRequest;
import com.four.util.HXUtil;
import org.springframework.stereotype.Service;

@Service
public class InstantServiceImpl implements InstantService {


    @Override
    public Boolean insertUser(UserRequest userRequest) {
        boolean b = HXUtil.addUser(userRequest.getUsername(), userRequest.getPassword());
        if (b){
            return true;
        }
        return false;
    }

    @Override
    public Boolean delUser(String username) {
        boolean b = HXUtil.deleteUser(username);
        if (b){
            return true;
        }
        return false;
    }

    @Override
    public Boolean insertFriend(UserRequest userRequest) {
        boolean b = HXUtil.addFriend(userRequest.getUsername(), userRequest.getUsername());
        if (b){
            return true;
        }
        return false;
    }

    @Override
    public Boolean deleteFriend(UserRequest userRequest) {
        boolean b = HXUtil.deleteFriend(userRequest.getUsername(), userRequest.getUsername());
        if (b){
            return true;
        }
        return false;
    }

    @Override
    public Boolean sendMsg(UserRequest userRequest) {
        boolean b = HXUtil.sendToUser(userRequest.getUsername(), userRequest.getUsername(), userRequest.getMsg());
        if (b){
            return true;
        }
        return false;
    }
}
