package com.four.patient.feign;

import com.four.common.core.web.domain.AjaxResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

@FeignClient("four-system")
public interface UserFeign {

    @GetMapping("/user/findByuserId/{userId}")public AjaxResult findByUserId(@PathVariable("userId") Long userId);
}
