package com.four.patient.mapper;

import com.four.common.duck.domain.GiftRecord;
import com.four.common.duck.gift.Gift;
import com.four.common.duck.interrogation.RegistrationInformation;
import com.four.common.duck.my.User;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface GiftMapper {
    List<Gift> ShowGiftAll();

    Integer insertGiftLog(GiftRecord giftRecord);

    Gift findByGiftId(@Param("giftId") Long giftId);

    void updPatientMoney(@Param("patientMoney") double patientMoney, @Param("userid") Long userid);

    void updDoctorMoney(@Param("doctorMoney") double doctorMoney, @Param("userId") Long userId);

    RegistrationInformation findByRegistration(@Param("registrationInformationId") Long registrationInformationId);

    User findByUserId(@Param("userId") Long userId);
}
