package com.four.patient.mapper;

import com.four.common.duck.communitypatients.SymptomsDrugs;
import com.four.common.duck.domain.GiftRecord;
import com.four.common.duck.gift.Gift;
import com.four.common.duck.interrogation.FollowDoctor;
import com.four.common.duck.interrogation.HistoricalConsultation;
import com.four.common.duck.interrogation.PatientEvaluator;
import com.four.common.duck.interrogation.RegistrationInformation;
import com.four.common.duck.my.User;
import com.four.common.duck.response.ResponseRegistrationInformation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

@Mapper
public interface RegistrationInformationMapper {




    List<ResponseRegistrationInformation> ShowRegistrationInformationAllPrice(@Param("medicalDepartmentId") Long medicalDepartmentId);

    List<ResponseRegistrationInformation> ShowRegistrationInformationNumber(@Param("medicalDepartmentId") Long medicalDepartmentId);

    List<ResponseRegistrationInformation> ShowRegistrationInformationPraise(@Param("medicalDepartmentId") Long medicalDepartmentId);


    List<ResponseRegistrationInformation> ShowRegistrationInformationAll(@Param("medicalDepartmentId") Long medicalDepartmentId);

    List<ResponseRegistrationInformation> ShowRegistration(Long registrationInformationId);
}
